BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/category-update
postProduct CategoryAdmin BFF

/bff/product-category/category-update

Update product category

Product CategorypostBffProduct-categoryCategory-update

Parameters

JSON body

Request body

application/json
namestringRequired
codestringRequired
slugstringOptional
parentCodestringOptional
descriptionstringOptional
activebooleanOptional
internalbooleanOptional
b2bbooleanOptional

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/product-category/category-update

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "name": "example_name",
  "code": "example_code",
  "slug": "example_slug",
  "parentCode": "example_parentCode",
  "description": "example_description",
  "active": false,
  "internal": false,
  "b2b": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key